Page MenuHomePhabricator

Productionize reporting of app session metrics {hawk} [8pts]
Closed, ResolvedPublic

Description

  • make script take parameters using options parsing libs
  • make script to append data to an output location accessible to PMs [1]
  • schedule weekly oozie job

[1] https://hue.wikimedia.org/filebrowser/view/wmf/data/archive/mobile_apps/uniques/

Event Timeline

kevinator renamed this task from Productionize reporting of app session metrics to Productionize reporting of app session metrics {hawk}.
kevinator assigned this task to Nuria.
kevinator raised the priority of this task from to High.
kevinator updated the task description. (Show Details)
kevinator removed a project: Patch-For-Review.
kevinator set Security to None.
kevinator updated the task description. (Show Details)May 4 2015, 5:07 PM
kevinator renamed this task from Productionize reporting of app session metrics {hawk} to Productionize reporting of app session metrics [8pts] {hawk}.May 4 2015, 5:10 PM
kevinator moved this task from Next Up to Tasked_Hidden on the Analytics-Kanban board.

Change 212573 had a related patch set uploaded (by Madhuvishy):
[WIP] Productionize app session metrics - Parse args using scopt

https://gerrit.wikimedia.org/r/212573

This was blocked on a bug using hive-context in spark.
However, there is a workaround doing something similar to what is here: https://gerrit.wikimedia.org/r/#/c/212541/2/refinery-job/src/main/scala/org/wikimedia/analytics/refinery/job/PageviewAggregator.scala

Milimetric renamed this task from Productionize reporting of app session metrics [8pts] {hawk} to Productionize reporting of app session metrics {hawk} [8pts].Jun 3 2015, 8:56 PM

Change 216009 had a related patch set uploaded (by Madhuvishy):
[WIP] Add oozie job to schedule mobile app session metrics spark job. See also - https://gerrit.wikimedia.org/r/#/c/212573/

https://gerrit.wikimedia.org/r/216009

Change 212573 merged by Joal:
Productionize app session metrics

https://gerrit.wikimedia.org/r/212573

Change 216009 merged by Joal:
Add oozie job to schedule mobile app session metrics spark job.

https://gerrit.wikimedia.org/r/216009

The job is deployed and running. Links:

  1. File where data gets stored - https://hue.wikimedia.org/filebrowser/view/wmf/data/wmf/mobile_apps/session_metrics/session_metrics.tsv
  2. Table with all the data - wmf.mobile_apps_session_metrics
  3. Scheduler on Hue - https://hue.wikimedia.org/oozie/list_oozie_coordinator/0029517-150605005438095-oozie-oozi-C/
kevinator closed this task as Resolved.Jun 30 2015, 3:32 PM